## net.i2p.client.naming
Class LookupDest

    java.lang.Object
      net.i2p.client.naming.LookupDest

     class LookupDest

extends Object

Connect via I2CP and ask the router to look up the lease of a hash, convert it to a Destination and return it. Obviously this can take a while. All calls are blocking and return null on failure. Timeout is set to 10 seconds in I2PSimpleSession.

Constructor Summary
`protected` `LookupDest(I2PAppContext context)`

Method Summary
`(package private) static Destination` `lookupBase32Hash(I2PAppContext ctx, String key)`
`(package private) static Destination` `lookupHash(I2PAppContext ctx, byte[] h)`
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LookupDest

    protected LookupDest(I2PAppContext context)

Method Detail

### lookupBase32Hash

    static Destination lookupBase32Hash(I2PAppContext ctx,
                                        String key)

  Parameters:
    `key` - 52 chars (do not include the .b32.i2p suffix)

### lookupHash

    static Destination lookupHash(I2PAppContext ctx,
                                  byte[] h)

  Parameters:
    `h` - 32 byte hash

### main

    public static void main(String[] args)